TrainFog Developers
People

Elenca persone

GET
/people
AuthorizationBearer <token>

In: header

Query Parameters

workspace?string
status?string
Value in"New" | "Open" | "In Progress" | "Open Deal" | "Unqualified" | "Attempted to Contact" | "Connected" | "Bad Timing"
stage?string
Value in"Subscriber" | "Lead" | "Marketing Qualified Lead" | "Sales Qualified Lead" | "Opportunity" | "Customer" | "Evangelist" | "Other"
company?string
search?string
limit?integer
Formatint32

Response Body

application/json

application/json

curl -X GET "https://api.trainfog.com/developers/v1.0/people"
{
  "count": 1,
  "data": [
    {
      "id": "688893ebd804d8588b1afbe0",
      "workspace": "688893ebd804d8588b1afbe0",
      "firstName": "string",
      "lastName": "string",
      "email": "user@example.com",
      "phone": "string",
      "company": "string",
      "status": "New",
      "stage": "Subscriber",
      "source": "string",
      "consents": [
        {
          "type": "newsletter",
          "granted": true,
          "updatedAt": "2019-08-24T14:15:22Z",
          "method": "manual",
          "ip": "203.0.113.10",
          "userAgent": "Mozilla/5.0"
        }
      ],
      "traits": {},
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "Unauthorized"
}